org.hibernate.search.engine.impl

## Class MutableNormalizerRegistry

- java.lang.Object
- - org.hibernate.search.engine.impl.MutableNormalizerRegistry

- All Implemented Interfaces:
    NormalizerRegistry

      public class MutableNormalizerRegistry
      extends Object
      implements NormalizerRegistry

  This class gives access to the set of normalizer references created for a given index manager type, creating new ones as necessary using the `AnalyzerStrategy` of that index manager type.
  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close normalizers if possible
    `List<AnalyzerReference>` | `getAllReferences()`
    `AnalyzerReference` | `getLuceneClassNormalizerReference(Class<?> analyzerClazz)`
    `Map<Class<?>,AnalyzerReference>` | `getLuceneClassNormalizerReferences()`
    `AnalyzerReference` | `getNamedNormalizerReference(String name)`
    `Map<String,AnalyzerReference>` | `getNamedNormalizerReferences()`
    `AnalyzerReference` | `getOrCreateLuceneClassNormalizerReference(Class<?> analyzerClazz)`
    `AnalyzerReference` | `getOrCreateNamedNormalizerReference(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNamedNormalizerReferences

          public Map<String,AnalyzerReference> getNamedNormalizerReferences()

      Specified by:
        `getNamedNormalizerReferences` in interface `NormalizerRegistry`

    - #### getLuceneClassNormalizerReferences

          public Map<Class<?>,AnalyzerReference> getLuceneClassNormalizerReferences()

      Specified by:
        `getLuceneClassNormalizerReferences` in interface `NormalizerRegistry`

    - #### getNamedNormalizerReference

          public AnalyzerReference getNamedNormalizerReference(String name)

      Specified by:
        `getNamedNormalizerReference` in interface `NormalizerRegistry`

    - #### getOrCreateNamedNormalizerReference

          public AnalyzerReference getOrCreateNamedNormalizerReference(String name)

    - #### getLuceneClassNormalizerReference

          public AnalyzerReference getLuceneClassNormalizerReference(Class<?> analyzerClazz)

      Specified by:
        `getLuceneClassNormalizerReference` in interface `NormalizerRegistry`

    - #### getOrCreateLuceneClassNormalizerReference

          public AnalyzerReference getOrCreateLuceneClassNormalizerReference(Class<?> analyzerClazz)

    - #### close

          public void close()

      Description copied from interface: `NormalizerRegistry`
      Close normalizers if possible
      Specified by:
        `close` in interface `NormalizerRegistry`

    - #### getAllReferences

          public List<AnalyzerReference> getAllReferences()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved